Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.blip
Class EMF

    java.lang.Object
      org.apache.poi.hslf.usermodel.PictureData
          org.apache.poi.hslf.blip.Metafile
              org.apache.poi.hslf.blip.EMF

    public final class EMF

extends Metafile

Represents EMF (Windows Enhanced Metafile) picture data.

Author:
  Yegor Kozlov

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.poi.hslf.blip.Metafile
`Metafile.Header`

Constructor Summary
`EMF()`

Method Summary
`byte[]` | `getData()` Extract compressed EMF data from a ppt
`int` | `getSignature()` EMF signature is `0x3D40`
`int` | `getType()` Returns type of this picture.
`void` | `setData(byte[] data)` Set picture data

Methods inherited from class org.apache.poi.hslf.usermodel.PictureData
`create, draw, getChecksum, getHeader, getImagePainter, getOffset, getRawData, getSize, getUID, setImagePainter, setOffset, setRawData, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMF

    public EMF()

Method Detail

### getData

    public byte[] getData()

  Extract compressed EMF data from a ppt

  Specified by:
    `getData` in class `PictureData`
  Returns:
    picture data

### setData

    public void setData(byte[] data)
                 throws java.io.IOException

  Description copied from class: `PictureData`
  Set picture data

  Specified by:
    `setData` in class `PictureData`
  Throws:
    `java.io.IOException`

### getType

    public int getType()

  Description copied from class: `PictureData`
  Returns type of this picture. Must be one of the static constants defined in the `Picture`class.

  ``
  Specified by:
    `getType` in class `PictureData`
  Returns:
    type of this picture.

### getSignature

    public int getSignature()

  EMF signature is `0x3D40`

  Returns:
    EMF signature (`0x3D40`)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD